Issue 124183

Summary: Remove not working connections from Address Book Data Source Wizard
Product: General Reporter: Regina Henschel <rb.henschel>
Component: uiAssignee: AOO issues mailing list <issues>
Status: REOPENED --- QA Contact:
Severity: Normal    
Priority: P3 CC: issues, josef.latt, mseidel, oooforum, rainerbielefeld_ooo_qa
Version: 4.1.0   
Target Milestone: ---   
Hardware: PC   
OS: Windows, all   
See Also: https://issues.apache.org/ooo/show_bug.cgi?id=123575
https://bz.apache.org/ooo/show_bug.cgi?id=124987
https://bz.apache.org/ooo/show_bug.cgi?id=124186
Issue Type: DEFECT Latest Confirmation in: 4.2.0-dev
Developer Difficulty: ---
Attachments:
Description Flags
Address Book Data Source Wizard none

Description Regina Henschel 2014-02-04 17:50:42 UTC
With bug 123575 some drivers were removed. But they are still listed in the Address Book Data Source Wizard. They need to be removed there too. The items to be removed are Mozilla/Netscape, Thunderbird, Outlook address book, Windows system address book. I'm not sure about LDAP, because I have no environment to test it.
Comment 1 Rainer Bielefeld 2014-02-05 05:54:21 UTC
Reproducible with server installation of "AOO 4.1.0-Dev – English UI / German locale - [AOO410m1(Build:9750) - Rev. 1562493 - 2014-01-30]" on German WIN7 Home Premium (64bit)", own separate user profile:

1. From AOO Start Center menu #File -> Wizards -> Address Data Source'
   > Dialog appears -> [Next]
2. Radio Button "Mozilla / Netscape"
    Error Message                                                       :-( 
    "The connection to the external dataa source could not be 
    established. No SDBC driver was vound for the given URL"
     Additional Info: 
     SQL Status: HY000
     A connection for the following URL was requested "sdbc:address:mozilla".

Additional Info:
(a) That still works fine with AOo 4.0.1, I can use my Seamonkey address 
     sources in AOO
(b) I did only test that one because the other address sources are not available
    on m PC
(c) Wizard not only available from Writer, so I modify Summary
(d) May be for a 4.10 we should make those radiobuttons inactive (with
    heading (no longer available) and completely drop them with 4.1.1 or so?
    That might help users who have used these data sources until 4.0
(e) For adaption of Help I will submit a separate Bug
Comment 2 oooforum (fr) 2015-03-30 13:29:12 UTC
(In reply to Regina Henschel from comment #0)
> I'm not sure about LDAP, because I have no
> environment to test it.
Confirmed for "LDAP address data access" item
LDAP driver is no longer exist too.
Comment 3 oooforum (fr) 2019-04-27 21:25:47 UTC
Fixed in 4.1.6: this item has been removed from wizard.
Comment 4 Matthias Seidel 2019-04-27 21:36:02 UTC
(In reply to oooforum (fr) from comment #3)
> Fixed in 4.1.6: this item has been removed from wizard.

No, it hasn't...

Just checked under Windows 10 with AOO 4.1.6
Comment 5 Matthias Seidel 2019-04-28 09:40:03 UTC
Created attachment 86669 [details]
Address Book Data Source Wizard
Comment 6 Matthias Seidel 2019-04-28 09:42:22 UTC
Reopened the ticket, as the "Address Book Data Source Wizard" is still unchanged (see attachment).